Package com.trilead.ssh2

## Class HTTPProxyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.trilead.ssh2.HTTPProxyException

All Implemented Interfaces:
  `java.io.Serializable`

    public class HTTPProxyException
    extends java.io.IOException

May be thrown upon connect() if a HTTP proxy is being used.

See Also:
  `Connection.connect()`, `Connection.setProxyData(ProxyData)`, Serialized Form

### Field Summary

Fields
`int` `httpErrorCode`
`java.lang.String` `httpResponse`

### Constructor Summary

Constructors
`HTTPProxyException​(java.lang.String httpResponse, int httpErrorCode)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### httpResponse

    public final java.lang.String httpResponse

#### httpErrorCode

    public final int httpErrorCode

### Constructor Detail

#### HTTPProxyException

    public HTTPProxyException​(java.lang.String httpResponse,
                              int httpErrorCode)